#include "type.h"

//Boot Parameter Block
/*typedef struct{
	WORD	byte_per_sector;
	BYTE	sector_per_cluster;
	WORD	res1;
	BYTE	FATnum;
	WORD	root_entrie;
	WORD	min_sector;
	BYTE	media_descriptor;
	WORD	sector_per_FAT;
	WORD	sector_per_track;
	WORD	heads;
	DWORD	hide_sector;
	DWORD	max_sector;
	
	BYTE	bios_drive;
	BYTE	res3;
	BYTE	ext_boot_sign;
	DWORD	serial_num;
	char	label[11];
	char	file_system[8];
}BPB_FAT16_t;*/
typedef struct{

	WORD	byte_per_sector;
	BYTE	sector_per_cluster;
	WORD	reserve_sector;
	BYTE	FATnum;
	WORD	root_entrice;
	BYTE	media_descriptor;
	WORD	sector_per_track;
	WORD	head_num;
	DWORD	hide_sector;
	DWORD	sector_num;
	DWORD	sector_per_FAT;
	WORD	flag;
	WORD	version;
	DWORD	root_cluster;
	WORD	FSinfo_sector;
	WORD	backup_sector;
	BYTE	res2[12];
	
	BYTE	bios_drive;
	BYTE	res3;
	BYTE	ext_boot_sign;
	DWORD	serial_num;
	char	label[11];
	char	file_system[8];
	
}BPB__FAT16_t;

extern BPB_FAT16_t BPB_FAT16;

//Dos Boot Record Struct
typedef struct{
	char 	oem[8];
	BPB_FAT16_t *bpb;
	WORD	sign;
}DBR_FAT16_t;

extern DBR_FAT16_t dbr_fat16;